Bug 120044 - kernel ignores rw boot parameter and mounts rootfs ro
kernel ignores rw boot parameter and mounts rootfs ro
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mkinitrd (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 10:41 EDT by Victor Ashik
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Ashik 2004-04-05 10:41:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Reboot RHEL3
2. Press a in the GRUB menu
3. Replace ro with rw and add init=/bin/sh
4. Press Enter
5. mount /proc
6. cat /proc/mounts
  
Actual results:
/ mounted ro

Expected results:
/ mounted rw

Additional info:
Comment 5 Peter Staubach 2005-06-24 13:40:49 EDT
A workaround --

Use the command, "mount -o rw,remount /" once the shell is running.
Comment 6 Peter Staubach 2005-06-24 13:42:16 EDT
This actually appears to be a bug in mkinitrd.  Let's let them take a peek
at this.
Comment 7 RHEL Product and Program Management 2007-10-19 15:28:07 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.